#!/usr/bin/python

__author__ =  'Mohamed A. Bamakhrama'
__description__ = 'Platform parameters'

# Periods are computed in clock cycles or OS clock ticks. If True, then
# the periods are in clock cycles. Otherwise, in OS clock ticks
TIME_IN_CYCLES = True

# Time (in cycles) needed to read a single data word (i.e., 32-bits) using HW FIFOs
T_RD_P2P = 1
T_WR_P2P = 1

# The numbers below are the actual measurements on Xilinx ML605 board
# Time (in cycles) needed to read a single data word (i.e., 32-bits) using AXI Crossbar
T_RD_AXI_CB = 60
 # Time (in cycles) needed to read a single data word (i.e., 32-bits) (Write is always local)
T_WR_AXI_CB = 30

# Macros for P2P and AXI_CB
P2P = 0
AXI_CB = 1

# System Frequency in Hz
SYS_FREQUENCY = 100000000
# OS tick rate in Hz
SYS_TICK_RATE = 1000
# Number of cycles in a tick
CYCLES_IN_TICK = SYS_FREQUENCY/SYS_TICK_RATE

